---
- name: include vars
  include_vars:
    file: users.yml   # users.yml
    name: users
# TODO: condition on what playbook is running: playbook or playbook-CS2000.yml

- name: add users
  user:
    name: "{{ item.value.username }}"
    password:  "{{ 'changemenow' | password_hash('sha512') }}"
    groups: "sudo"
    create_home: true 
    shell: /bin/bash
    update_password: on_create  # only sets password if users didn't exist
    # password_expire_max: 10 # days      
  loop: '{{ users | dict2items }}'
  
# ssh pub key to /home/user/.ssh/authorized_keys 
- name: ssh pub key in authorized_keys
  lineinfile: 
    path: "/home/{{item.value.username}}/.ssh/authorized_keys"
    create: true
    state: present
    line: "{{item.value.sshkey}}"
    owner: "{{item.value.username}}"
    group: "{{item.value.username}}"
    mode: "664"
  loop: '{{ users | dict2items }}'

# - name: add user pi
#   user:
#     name: "pi"
#     password:  "{{ 'Ruisdael2021!' | password_hash('sha512') }}"
#     groups: "sudo"
#     create_home: true 
#     shell: /bin/bash
#     update_password: always

# - name: ssh pub key in authorized_keys
#   lineinfile: 
#     path: "/home/pi/.ssh/authorized_keys"
#     create: true
#     state: present
#     line: "{{item.value.sshkey}}"
#     owner: "pi"
#     group: "pi"
#     mode: "664"
#   loop: '{{ users | dict2items }}'

- name:  debug users
  debug:
    msg: 'Username {{ item.value.username }} {{ item.value.sshkey }}'
  loop: '{{ users | dict2items }}'




